import type { HostRule } from '../../types';
import type { GotOptions } from './types';
export type HostRulesGotOptions = Pick<GotOptions, 'hostType' | 'url' | 'noAuth' | 'headers' | 'token' | 'username' | 'password' | 'context' | 'enabled' | 'abortOnError' | 'abortIgnoreStatusCodes' | 'timeout' | 'lookup' | 'agent' | 'http2' | 'https'>;
export declare function findMatchingRule<GotOptions extends HostRulesGotOptions>(url: string, options: GotOptions): HostRule;
export declare function applyHostRule<GotOptions extends HostRulesGotOptions>(url: string, options: GotOptions, hostRule: HostRule): GotOptions;
export declare function getConcurrentRequestsLimit(url: string): number | null;
export declare function getThrottleIntervalMs(url: string): number | null;
